Bug 114168 - SHA1PRNG not available in IBM 1.4.1 JDK
Summary: SHA1PRNG not available in IBM 1.4.1 JDK
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Li
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106481
TreeView+ depends on / blocked
 
Reported: 2004-01-23 15:53 UTC by Jon Orris
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 22:06:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Orris 2004-01-23 15:53:02 UTC
Description of problem:
kernel.UserAuthentication.setNewSalt tries to instantiate the SHA1PRNG
algorithm, which is no longer part of the IBM JDK for 1.4.1.

The code needs to catch the NoSuchAlgorotithm exception, and fall back
to an IBM supplied one. Alternatively, it should use an algorithm
common to sun & ibm jdks.

References:
https://listman.redhat.com/archives/redhat-ccm-list/2003-January/msg00043.html

Tool to determine algorithms supplied by a JDK:
//users/vadim/code/java/misc/security/CryptoKey.java

Comment 1 Richard Li 2004-01-23 19:24:19 UTC
Fixed @39692


Note You need to log in before you can comment on or make changes to this bug.